<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ValidationModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Home Page
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <% Html.EnableClientValidation(); %>
    <% Html.EnableUnobtrusiveJavaScript(true); %>

<% Html.BeginForm(); %>

ComboBox:

<%= Html.Telerik().ComboBoxFor(m => m.Id)
        .BindTo(new List<SelectListItem> 
        {
            new SelectListItem{Text="Item1", Value="1"},
            new SelectListItem{Text="Item2", Value="2"},
            new SelectListItem{Text="Item3", Value="3"}
        })
%>
<%= Html.ValidationMessageFor(m => m.Id) %>

<button>Click</button>

<% Html.EndForm(); %>

<hr />

<% Html.BeginForm(); %>

<%= Html.EditorFor(m => m.UnitPrice) %>
<%= Html.ValidationMessageFor(m => m.UnitPrice)%>
<button>Click</button>

<% Html.EndForm(); %>

<hr />

<%= Html.Telerik().Grid(new List<ValidationModel> { Model })
        .Name("Grid")
        .DataKeys(keys => keys.Add(v => v.Id))
        .DataBinding( binding => binding.Server().Update("default"))
        .Columns(columns => {
            columns.Bound(v => v.Id);
            columns.Bound(v => v.LastSupply);
            columns.Bound(v => v.UnitPrice);
            columns.Bound(v => v.Discontinued);
            columns.Command(command => command.Edit());
        })
%>

<% Html.Telerik().ScriptRegistrar()
       .DefaultGroup(group => group
                                .Add("jquery.validate.min.js")
                                .Add("jquery.validate.unobtrusive.js")); %>

</asp:Content>
